
SOUND_EXIT = 1
SOUND_KEY = 2
SOUND_DOOR_OPEN = 3
SOUND_LOW_HEALTH = 4

audio_table = {}

function init_audio()

	audio_table[SOUND_EXIT] = love.audio.newSource("audio/puzzlet_exit.ogg", "static")
	audio_table[SOUND_KEY] = love.audio.newSource("audio/puzzlet_key.ogg", "static")
	audio_table[SOUND_DOOR_OPEN] = love.audio.newSource("audio/puzzlet_door_open.ogg", "static")	
	audio_table[SOUND_LOW_HEALTH] = love.audio.newSource("audio/puzzlet_low_health.ogg", "static")
end

function play_audio(index)

	audio_table[index]:play()

end