
--[[

Puzzlet

constants.lua

(c) bob fossil 2015-2016

--]]

-- Graphics.
SCREEN_WIDTH = 640
SCREEN_HEIGHT = 480

TILE_WIDTH = 32
TILE_HEIGHT = 32

MAX_TILE_WIDTH = 640
MAX_TILE_HEIGHT = 416

FONT_CHARACTER_WIDTH = 16
FONT_CHARACTER_HEIGHT = 16

MAX_PLAYER_SPRITES = 8
MAX_DISAPPEAR_SPRITES = 4
MAX_FRAMES = 2

-- States.
STATE_TITLESCREEN = 1
STATE_INGAME = 2
STATE_INMESSAGE = 3
STATE_INSTRUCTIONS = 4
STATE_EDITOR = 5
STATE_EDITOR_TEST = 6
STATE_INSPEECH = 7


PLAYER_WARRIOR = 1
PLAYER_VALKYRIE = 2
PLAYER_WIZARD = 3
PLAYER_ELF = 4

MAX_PLAYERS = PLAYER_ELF

-- Sprite directions.
UP = 1
UP_RIGHT = 2
RIGHT = 3
DOWN_RIGHT = 4
DOWN = 5
DOWN_LEFT = 6
LEFT = 7
UP_LEFT = 8
