
--[[

Puzzlet

instructions.lua

(c) bob fossil 2016

--]]

current_instruction_page = 1
last_page = 0

instructions_table =
	{
		{
		{text="OUR CAST OF HEROES:", x=-1, y=16, r = 255, g = 255, b = 255},
		{gfx=GRAPHIC_WARRIOR_DOWN_1, x = 32, y = 128, index = GRAPHIC_PLAYERS},		
		{text="THE WARRIOR", x = 92, y = 128, r = 255, g = 0, b = 0},
		{gfx=GRAPHIC_WALL_MOVEABLE, x = 32, y = 192, index = GRAPHIC_WALLS},
		{text="CAN MOVE BLOCKS WITH HIS BARE.", x = 96, y = 192, r = 255, g = 255, b = 255},
		{text="HANDS.", x = 96, y = 224, r = 255, g = 255, b = 255},
--		{gfx=GRAPHIC_WARRIOR_WEAPON_UP_RIGHT_1, x = 32, y = 192, index = GRAPHIC_PLAYERS},
--		{text="CAN PICK UP AND THROW THE AXE.", x = 96, y = 192, r = 255, g = 255, b = 255},
		},
		{
		{text="OUR CAST OF HEROES:", x=-1, y=16, r = 255, g = 255, b = 255},
		{gfx=GRAPHIC_VALKYRIE_DOWN_1, x = 32, y = 128, index = GRAPHIC_PLAYERS},
		{text="THE VALKYRIE", x = 92, y = 128, r = 0, g = 255, b = 255},
		{gfx=GRAPHIC_SPECIAL_GROUND_FORCEFIELD, x = 32, y = 192, index = GRAPHIC_SPECIALS},		
		{text="CAN USE HER SHIELD TO WALK", x = 96, y = 192, r = 255, g = 255, b = 255},
		{text="THROUGH FORCEFIELDS.", x = 96, y = 224, r = 255, g = 255, b = 255},
--		{gfx=GRAPHIC_VALKYRIE_WEAPON_UP_RIGHT_1, x = 32, y = 192, index = GRAPHIC_PLAYERS},
--		{text="CAN PICK UP AND THROW THE SWORD.", x = 96, y = 192, r = 255, g = 255, b = 255},
		},
		{
		{text="OUR CAST OF HEROES:", x=-1, y=16, r = 255, g = 255, b = 255},
		{gfx=GRAPHIC_WIZARD_DOWN_1, x = 32, y = 128, index = GRAPHIC_PLAYERS},
		{text="THE WIZARD", x = 92, y = 128, r = 255, g = 255, b = 0},
		{gfx=GRAPHIC_SPECIAL_POTION , x = 32, y = 192, index = GRAPHIC_SPECIALS},
		{text="CAN COLLECT AND USE MAGIC.", x = 96, y = 192, r = 255, g = 255, b = 255},
--		{gfx=GRAPHIC_WIZARD_WEAPON_UP_RIGHT_1, x = 32, y = 192, index = GRAPHIC_PLAYERS},
--		{text="CAN PICK UP AND THROW MAGIC BOLTS.", x = 96, y = 192, r = 255, g = 255, b = 255},
		},
		{
		{text="OUR CAST OF HEROES:", x=-1, y=16, r = 255, g = 255, b = 255},
		{gfx=GRAPHIC_ELF_DOWN_1, x = 32, y = 128, index = GRAPHIC_PLAYERS},
		{text="THE ELF", x = 92, y = 128, r = 0, g = 255, b = 0},
		{gfx=GRAPHIC_SPECIAL_GROUND_TRAP, x = 32, y = 192, index = GRAPHIC_SPECIALS},
		{text="CAN SHOOT ARROWS OVER.", x = 96, y = 192, r = 255, g = 255, b = 255},
		{text="FORCEFIELDS AND INTO TRAPS.", x = 96, y = 224, r = 255, g = 255, b = 255},		
--		{gfx=GRAPHIC_ELF_WEAPON_UP_RIGHT_1, x = 32, y = 192, index = GRAPHIC_PLAYERS},
--		{text="CAN PICK UP AND SHOOT ARROWS.", x = 96, y = 192, r = 255, g = 255, b = 255},		
		},
		{
		{text="HEALTH:", x=-1, y=16, r = 255, g = 255, b = 255},
		{text="EACH PLAYER'S HEALTH DECREASES OVER", x = 32, y = 64, r = 255, g = 255, b = 255},
		{text="TIME AND TURNS     WHEN LOW.", x = 32, y = 96, r = 255, g = 255, b = 255},
		{text="               RED", x = 32, y = 96, r = 255, g = 0, b = 0},
		{text="COLLECT FOOD AND DRINK,", x = 32, y = 160, r = 255, g = 255, b = 255},
		{gfx=GRAPHIC_SPECIAL_FOOD_MEAT, x = 416, y = 160, index = GRAPHIC_SPECIALS},
		{gfx=GRAPHIC_SPECIAL_FOOD_ALE, x = 480, y = 160, index = GRAPHIC_SPECIALS},
		{text="TO REPLENISH IT.", x = 32, y = 192, r = 255, g = 255, b = 255},
		{text="SHOOTING, RUNNING AND DOING SPECIAL", x = 32, y = 240, r = 255, g = 255, b = 255},
		{text="ACTIONS ALL USE UP EXTRA HEALTH.", x = 32, y = 272, r = 255, g = 255, b = 255},				
		},			
		{
		{text="EXITS:", x=-1, y=16, r = 255, g = 255, b = 255},
		{gfx=GRAPHIC_EXIT, x = 32, y = 64, index = GRAPHIC_EXITS},		
		{text="GET ALL THE HEROES INTO THE EXIT", x = 96, y = 64, r = 255, g = 255, b = 255},
		{text="TO COMPLETE THE LEVEL.", x = 96, y = 96, r = 255, g = 255, b = 255},
		{text="NUMBERED EXITS ACT AS TELEPORTS.", x = 96, y = 128, r = 255, g = 255, b = 255},
		{gfx=GRAPHIC_EXIT_3, x = 96, y = 160, index = GRAPHIC_EXITS},
		{text="WOULD TAKE YOU TO", x = 160, y = 160, r = 255, g = 255, b = 255},
		{gfx=GRAPHIC_SPECIAL_AREA_3, x = 448, y = 160, index = GRAPHIC_SPECIALS},
		{text="NUMBERED EXITS CAN ALSO MOVE", x = 96, y = 208, r = 255, g = 255, b = 255},
		{text="AROUND AND TELEPORT SHOTS!", x = 96, y = 240, r = 255, g = 255, b = 255},				
		},
		{
		{text="TRAPS:", x=-1, y=16, r = 255, g = 255, b = 255},
		{gfx=GRAPHIC_SPECIAL_GROUND_TRAP, x = 32, y = 64, index = GRAPHIC_SPECIALS},		
		{text="TRAPS ARE SPRUNG BY WALKING OVER", x = 96, y = 64, r = 255, g = 255, b = 255},
		{text="THEM.", x = 96, y = 96, r = 255, g = 255, b = 255},		
		{text="THERE ARE DIFFERENT TYPES OF TRAP:", x = 96, y = 128, r = 255, g = 255, b = 255},
		{text="ONE SHOT", x = 96, y = 160, r = 255, g = 255, b = 255},
		{text="TOGGLE", x = 96, y = 192, r = 255, g = 255, b = 255},
		{text="PRESSURE SWITCH", x = 96, y = 224, r = 255, g = 255, b = 255},				
		},		
		{
		{text="OUR CAST OF VILLIANS:", x=-1, y=16, r = 255, g = 255, b = 255},
		{gfx=GRAPHIC_DEATH_DOWN_1, x = 32, y = 64, index = GRAPHIC_ENEMIES},
		{text="DEATH", x = 92, y = 64, r = 255, g = 0, b = 0},
		{text="HIS TOUCH KILLS INSTANTLY AND", x = 96, y = 128, r = 255, g = 255, b = 255},
		{text="CAN ONLY BE KILLED BY MAGIC.", x = 96, y = 160, r = 255, g = 255, b = 255},
		{text="GOES AFTER THE NEAREST PLAYER.", x = 96, y = 192, r = 255, g = 255, b = 255},		
		},		
	}

function init_instructions()

	global.state = STATE_INSTRUCTIONS
	current_instruction_page = 1
	last_page = #instructions_table

end

function handle_instruction_keypress(key)

	if key=="left" then
	
		if current_instruction_page > 1 then
			-- Not on the first page, so go to the previous one.
			current_instruction_page = current_instruction_page - 1
		end
	
	elseif key=="right" then
	
		if current_instruction_page~=last_page then
			-- Not on the last page, so go to the next one.
			current_instruction_page = current_instruction_page + 1
		end

	elseif key=="escape" then
		-- Switch back to the intro screen.
		global.state = STATE_TITLESCREEN
	end
	
end

function draw_instructions()

	local current_page = instructions_table[current_instruction_page]
	
	for item = 1, #current_page do
	
		if current_page[item].text then
			-- Item is text.
			draw_text(current_page[item].x, current_page[item].y, current_page[item].text,
				current_page[item].r, current_page[item].g, current_page[item].b)
		
		elseif current_page[item].gfx then
			-- Item is a graphic.
			love.graphics.setColor(255, 255, 255, 255)
			draw_graphic(current_page[item].gfx, current_page[item].x, current_page[item].y, current_page[item].index)
		
		end
		
		-- Draw indicators.
		if current_instruction_page > 1 then
			draw_text(16, 400, "<<", 255, 255, 255)
		end
		
		if current_instruction_page ~= last_page then
			draw_text(592, 400, ">>", 255, 255, 255)
		end	
	end

end